# Uses of Interface
org.eclipse.gef.NodeListener

Packages that use NodeListener
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.

## Uses of NodeListener in org.eclipse.gef

Methods in org.eclipse.gef with parameters of type NodeListener
Modifier and Type
Method
Description
`void`
GraphicalEditPart.`addNodeListener(NodeListener listener)`
Adds a NodeListener to the EditPart.
`void`
GraphicalEditPart.`removeNodeListener(NodeListener listener)`
Removes the first occurance of the specified listener from the list of listeners.

## Uses of NodeListener in org.eclipse.gef.editparts

Methods in org.eclipse.gef.editparts with parameters of type NodeListener
Modifier and Type
Method
Description
`void`
AbstractGraphicalEditPart.`addNodeListener(NodeListener listener)`
`void`
AbstractGraphicalEditPart.`removeNodeListener(NodeListener listener)`